summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 06:09:08 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 06:09:08 (GMT)
commit1bfd212351215d357966a3e528becb2771acf0fb (patch)
tree18da2b1e34015dcbfd9a7081275f3d162bd5116c
parentf38b952c758a9027bf7eb4767adacca50d545166 (diff)
downloadlinhes_pkgbuild-1bfd212351215d357966a3e528becb2771acf0fb.zip
linhes_pkgbuild-1bfd212351215d357966a3e528becb2771acf0fb.tar.gz
linhes_pkgbuild-1bfd212351215d357966a3e528becb2771acf0fb.tar.bz2
polkit-gnome:Bumped/Updated for LinHES 7.
-rw-r--r--abs/extra-testing/polkit-gnome/PKGBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/abs/extra-testing/polkit-gnome/PKGBUILD b/abs/extra-testing/polkit-gnome/PKGBUILD
new file mode 100644
index 0000000..06c375c
--- /dev/null
+++ b/abs/extra-testing/polkit-gnome/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: onestep_ua <onestep@ukr.net>
+
+pkgname=polkit-gnome
+pkgver=0.96
+pkgrel=3
+pkgdesc="PolicyKit integration for the GNOME desktop"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/PolicyKit"
+license=('LGPL')
+depends=('polkit>=0.96' 'gtk2>=2.18.6')
+makedepends=('intltool')
+replaces=('policykit-gnome')
+options=(!libtool !makeflags)
+source=(http://hal.freedesktop.org/releases/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('611cf39fba2945320fc7a9ec49087e69')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ sed -i -e 's/OnlyShowIn=GNOME/NotShowIn=KDE/' src/polkit-gnome-authentication-agent-1.desktop.in.in || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/polkit-gnome --disable-static --disable-introspection || return 1
+ make || return 1
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+}